@import "./libs/shared/assets/src/global-style/variable";

.upload {
    border: 1px dashed $bg-primary-bg;
    margin-left: 24px;
    margin-right: 24px;

    &__error-upload {
        padding: 16px;
        ::ng-deep {
            .ant-alert-error {
                margin: 0px !important;
            }
        }
    }

    &__error {
        display: flex;
        color: $bg-alert-dark;
        column-gap: 5px;
        margin: 16px 24px 0px;
        align-items: center;
    }
    &__error-template {
        max-height: 150px;
        overflow-y: auto;
    }

    &__title-left {
        font-style: normal;
        font-weight: 700;
        font-size: 14px;
        line-height: 140%;
        color: $bt-primary-default;
    }

    &__button {
        display: flex;
        justify-content: space-around;
        margin-top: 16px;
        padding-bottom: 16px;
        &__cancel {
            width: 175px;
            height: 40px;
            margin-left: 16px;
            background: $bg-modal-header-title;
            border: 1px solid $bt-primary-search;
            border-radius: 8px;
            color: $bt-primary-default;
        }

        &__import {
            width: 175px;
            height: 40px;
            background: $bt-primary-default;
            border-radius: 8px;
            margin-right: 16px;
        }
    }

    &__title-right {
        font-style: normal;
        font-weight: 700;
        font-size: 14px;
        line-height: 140%;
        color: $lb-title-upload;
    }
}

.content {
    ::ng-deep {
        .ant-upload.ant-upload-drag {
            border: none !important;
            background: $bg-modal-header-title;
            padding: 0px !important;
        }
        .ant-upload.ant-upload-drag .ant-upload {
            padding: 0px;
        }
        .ant-alert-error {
            margin: 16px 24px 0px 24px;
        }
    }
}
.color-err {
    color: $bg-alert-default !important;
    &__label {
        padding-left: 10px;
    }
}
